Bug 18255 - Koha::Biblio - Remove GetBiblioItemByBiblioNumber
Summary: Koha::Biblio - Remove GetBiblioItemByBiblioNumber
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17628
  Show dependency treegraph
 
Reported: 2017-03-13 16:42 UTC by Jonathan Druart
Modified: 2018-03-26 12:12 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18255: WIP (4.50 KB, patch)
2017-03-13 16:44 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18255: Replace GetBiblioItemByBiblioNumber with Koha::Biblio->biblioitem (5.47 KB, patch)
2018-01-09 16:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18255: Replace GetBiblioItemByBiblioNumber with Koha::Biblio->biblioitem (5.50 KB, patch)
2018-03-09 12:43 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18255: Replace GetBiblioItemByBiblioNumber with Koha::Biblio->biblioitem (5.58 KB, patch)
2018-03-09 14:26 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-03-13 16:42:37 UTC

    
Comment 1 Jonathan Druart 2017-03-13 16:44:05 UTC
Created attachment 61043 [details] [review]
Bug 18255: WIP
Comment 2 Jonathan Druart 2017-03-13 16:44:28 UTC
Waiting for an answer from the mailing list - http://lists.koha-community.org/pipermail/koha-devel/2017-March/043530.html
Comment 4 Jonathan Druart 2018-01-09 16:21:55 UTC
Created attachment 70379 [details] [review]
Bug 18255: Replace GetBiblioItemByBiblioNumber with Koha::Biblio->biblioitem

The subroutine GetBiblioItemByBiblioNumber considers that we have a 1-N
relation between biblio and biblioitems, which is wrong (it's 1-1).
So the calls can be replaced with Koha::biblio->biblioitem, it will ease
the read of the code.

Test plan:
1. Use the ILSDI service to display info of a bibliographic record,
biblioitems fields must be displayed
2. Search for items, biblioitems info must be displayed as well in the
result table
Comment 5 Jonathan Druart 2018-01-09 16:25:23 UTC
(In reply to Jonathan Druart from comment #2)
> Waiting for an answer from the mailing list -
> http://lists.koha-community.org/pipermail/koha-devel/2017-March/043530.html

I am not sure to understand why I sent this email, the $bibitems parameter of AddReserve is not used.
Comment 6 Kyle M Hall 2018-03-09 12:43:12 UTC
Created attachment 72571 [details] [review]
Bug 18255: Replace GetBiblioItemByBiblioNumber with Koha::Biblio->biblioitem

The subroutine GetBiblioItemByBiblioNumber considers that we have a 1-N
relation between biblio and biblioitems, which is wrong (it's 1-1).
So the calls can be replaced with Koha::biblio->biblioitem, it will ease
the read of the code.

Test plan:
1. Use the ILSDI service to display info of a bibliographic record,
biblioitems fields must be displayed
2. Search for items, biblioitems info must be displayed as well in the
result table

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Tomás Cohen Arazi 2018-03-09 14:26:53 UTC
Created attachment 72604 [details] [review]
Bug 18255: Replace GetBiblioItemByBiblioNumber with Koha::Biblio->biblioitem

The subroutine GetBiblioItemByBiblioNumber considers that we have a 1-N
relation between biblio and biblioitems, which is wrong (it's 1-1).
So the calls can be replaced with Koha::biblio->biblioitem, it will ease
the read of the code.

Test plan:
1. Use the ILSDI service to display info of a bibliographic record,
biblioitems fields must be displayed
2. Search for items, biblioitems info must be displayed as well in the
result table

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 8 Jonathan Druart 2018-03-23 15:35:41 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 9 Nick Clemens 2018-03-26 12:12:11 UTC
Enhancement, not backported for 17.11